Rysunek Roboczy: Polilinia na krzywą złożoną

From FreeCAD Documentation
Revision as of 19:47, 15 December 2023 by Kaktus (talk | contribs) (Created page with "Zobacz również stronę: [https://freecad.github.io/SourceDoc/ Dokumentacja API generowana automatycznie] oraz Podstawy pisania skryptów dla FreeCAD.")

Rysunek Roboczy: Polilinia na krzywą złożoną

Lokalizacja w menu
Modyfikacja → Polilinia na krzywą złożoną
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Polilinia, Krzywa złożona

Opis

Polecenie Polilinia na krzywą złożoną konwertuje polilinię na krzywą złożoną i odwrotnie.

Konwersja polinii pomocniczej w linię złożoną, a zamkniętej linii złożonej w zamkniętą polinię.

Użycie

  1. Select a Draft Wire or a Draft BSpline.
  2. There are several ways to invoke the command:
    • Press the Wire to B-spline button.
    • Select the Modification → Wire to B-spline option from the menu.
  3. A new object is created.

Uwagi

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DANEMake Face property, or its DANEClosed property, must be set to false.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

To convert a wire to a bspline, or vice versa, pass the Points property of the source object to the make_bspline method, or respectively the make_wire method, of the Draft module.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()